Loading...
Searching...
No Matches
Light.h File Reference
`#include <memory>`
`#include "APICache.h"`
`#include "BaseDevice.h"`
`#include "BrightnessStrategy.h"`
`#include "ColorHueStrategy.h"`
`#include "ColorTemperatureStrategy.h"`
`#include "HueCommandAPI.h"`
`#include "StateTransaction.h"`
`#include <nlohmann/json.hpp>`
Include dependency graph for Light.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | hueplusplus::Light
| Class for Hue Light fixtures. More...

## Namespaces

namespace | hueplusplus
| Namespace for the hueplusplus library.

## Enumerations

enum class | hueplusplus::ColorType { hueplusplus::UNDEFINED , hueplusplus::NONE , hueplusplus::GAMUT_A , hueplusplus::GAMUT_B , hueplusplus::GAMUT_C , hueplusplus::TEMPERATURE , hueplusplus::GAMUT_A_TEMPERATURE , hueplusplus::GAMUT_B_TEMPERATURE , hueplusplus::GAMUT_C_TEMPERATURE , hueplusplus::GAMUT_OTHER , hueplusplus::GAMUT_OTHER_TEMPERATURE }
| enum that specifies the color type of all HueLights More...

## Detailed Description

Copyright Notice
Copyright (C) 2017 Jan Rogall - developer
Copyright (C) 2017 Moritz Wirger - developer
This file is part of hueplusplus.

hueplusplus is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

hueplusplus is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with hueplusplus. If not, see http://www.gnu.org/licenses/.